Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IllegalStateException Class Reference

Inherits Exception.

## Public Member Functions
| IllegalStateException ()
| IllegalStateException (const IllegalStateException &)
IllegalStateException & | operator= (const IllegalStateException &)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Constructor & Destructor Documentation

IllegalStateException | ( |  | ) |

IllegalStateException | ( | const IllegalStateException & |  | ) |

## Member Function Documentation

IllegalStateException& operator= | ( | const IllegalStateException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h